MCP Tools Reference: calendarmcp.googleapis.com

टूल: list_calendars

इससे उन कैलेंडर की जानकारी मिलती है जिनका ऐक्सेस इस उपयोगकर्ता के पास है. इस टूल का इस्तेमाल करके, कैलेंडर की पहचान करने वाले डेटा (जैसे, 'मेरा फ़ैमिली कैलेंडर') को उसके calendar_id (ईमेल आइडेंटिफ़ायर) में बदलें

यहां दिए गए सैंपल में, curl का इस्तेमाल करके list_calendars एमसीपी टूल को चालू करने का तरीका बताया गया है.

कर्ल अनुरोध
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_calendars",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

इनपुट स्कीमा

ListCalendarsRequest

JSON के काेड में दिखाना
{

  "pageSize": integer

  "pageToken": string
}
फ़ील्ड

यूनियन फ़ील्ड _page_size.

_page_size इनमें से सिर्फ़ एक हो सकता है:

pageSize

integer

ज़रूरी नहीं. हर पेज पर ज़्यादा से ज़्यादा नतीजे. डिफ़ॉल्ट 100, ज़्यादा से ज़्यादा 250.

यूनियन फ़ील्ड _page_token.

_page_token इनमें से सिर्फ़ एक हो सकता है:

pageToken

string

ज़रूरी नहीं. यह टोकन बताता है कि नतीजों का कौनसा पेज दिखाना है.

आउटपुट स्कीमा

ListCalendarsResponse

JSON के काेड में दिखाना
{
  "calendars": [
    {
      object (CalendarListItem)
    }
  ],

  "nextPageToken": string
}
फ़ील्ड
calendars[]

object (CalendarListItem)

कैलेंडर की सूची.

यूनियन फ़ील्ड _next_page_token.

_next_page_token इनमें से सिर्फ़ एक हो सकता है:

nextPageToken

string

अगले पेज का टोकन. अगर कोई अगला पेज मौजूद नहीं है, तो इसे शामिल नहीं किया जाता.

CalendarListItem

JSON के काेड में दिखाना
{
  "id": string,
  "summary": string,
  "description": string,
  "timeZone": string
}
फ़ील्ड
id

string

आइडेंटिफ़ायर. कैलेंडर का ईमेल पता.

summary

string

सिर्फ़ आउटपुट के लिए. टाइटल.

description

string

सिर्फ़ आउटपुट के लिए. ब्यौरा.

timeZone

string

सिर्फ़ आउटपुट के लिए. टाइम ज़ोन.

टूल एनोटेशन

बदलाव करने वाला हिंट: ❌ | एक ही बार लागू होने वाला हिंट: ✅ | सिर्फ़ पढ़ने वाला हिंट: ✅ | ओपन वर्ल्ड हिंट: ❌

अनुमति पाने के लिंक

इसके लिए, इनमें से किसी एक OAuth स्कोप की ज़रूरत होती है:

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.readonly
  • https://www.googleapis.com/auth/calendar.calendarlist
  • https://www.googleapis.com/auth/calendar.calendarlist.readonly